org.apache.sysds.hops.estim

## Class EstimatorDensityMap.DensityMap

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimatorDensityMap.DensityMap

- Enclosing class:
    EstimatorDensityMap

      public static class EstimatorDensityMap.DensityMap
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DensityMap(MatrixBlock in, int b)`
    `DensityMap(MatrixBlock map, int rlenOrig, int clenOrig, int b, boolean scaled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get(int r, int c)`
    `int` | `getColBlockize(int c)`
    `MatrixBlock` | `getMap()`
    `long` | `getNonZeros()`
    `int` | `getNumColumns()`
    `int` | `getNumColumnsOrig()`
    `int` | `getNumRows()`
    `int` | `getNumRowsOrig()`
    `int` | `getRowBlockize(int r)`
    `void` | `toNnz()`
    `void` | `toSparsity()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DensityMap

          public DensityMap(MatrixBlock in,
                            int b)

    - #### DensityMap

          public DensityMap(MatrixBlock map,
                            int rlenOrig,
                            int clenOrig,
                            int b,
                            boolean scaled)

  - ### Method Detail

    - #### getMap

          public MatrixBlock getMap()

    - #### getNumRows

          public int getNumRows()

    - #### getNumColumns

          public int getNumColumns()

    - #### getNumRowsOrig

          public int getNumRowsOrig()

    - #### getNumColumnsOrig

          public int getNumColumnsOrig()

    - #### getNonZeros

          public long getNonZeros()

    - #### getRowBlockize

          public int getRowBlockize(int r)

    - #### getColBlockize

          public int getColBlockize(int c)

    - #### get

          public double get(int r,
                            int c)

    - #### toSparsity

          public void toSparsity()

    - #### toNnz

          public void toNnz()

Copyright © 2020 The Apache Software Foundation. All rights reserved.